MapTileFactory (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.mapTile
Interface MapTileFactory

All Known Implementing Classes:
  DebugMapTileFactory, GoogleMapTileFactory, ServerMapTileFactory, StandardMapTileFactory, TileMillMapTileFactory

    public interface MapTileFactory

An object that fetches tiles for a given projection. It could cache the tiles, it can get them from anywhere it might want to.

Author:
  dietrick

Method Summary
`EmptyTileHandler` | `getEmptyTileHandler()` Get object that handles empty tiles.
`OMGraphicList` | `getTiles(Projection proj)` Create an OMGraphicList with a set of tiles on it.
`OMGraphicList` | `getTiles(Projection proj, int zoomLevel)` Create an OMGraphicList that covers the projection with tiles that suit the specified zoom level.
`OMGraphicList` | `getTiles(Projection proj, int zoomLevel, OMGraphicList list)` Add tiles to OMGraphicList provided that suit the given projection.
`void` | `reset()` Tell the factory to clean up resources.
`void` | `setMapTileRequester(MapTileRequester requestor)` Set a MapTileRequestor in the tile factory that should be told to repaint when new tiles become available, and to check with during the tile fetch whether to keep going or not.

Method Detail

### getTiles

    OMGraphicList getTiles(Projection proj)

  Create an OMGraphicList with a set of tiles on it.

  Parameters:
    `proj` -
  Returns:
    OMGraphicList that was created.

### getTiles

    OMGraphicList getTiles(Projection proj,
                           int zoomLevel)

  Create an OMGraphicList that covers the projection with tiles that suit the specified zoom level.

### getTiles

    OMGraphicList getTiles(Projection proj,
                           int zoomLevel,
                           OMGraphicList list)

  Add tiles to OMGraphicList provided that suit the given projection.

  Parameters:
    `proj` -
    `list` -
  Returns:
    the OMGraphicList provided.

### setMapTileRequester

    void setMapTileRequester(MapTileRequester requestor)

  Set a MapTileRequestor in the tile factory that should be told to repaint when new tiles become available, and to check with during the tile fetch whether to keep going or not. listUpdate will be called when a new tile has been added to the OMGraphicList passed in the getTiles method, and shouldContinue will be called during stable times during the getTiles fetch.

  Parameters:
    `requestor` - callback MapTileRequestor to ask status questions.

### reset

    void reset()

  Tell the factory to clean up resources.

### getEmptyTileHandler

    EmptyTileHandler getEmptyTileHandler()

  Get object that handles empty tiles.

  Returns:
    EmptyTileHandler used by the factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details